Bug 4972 - updatedatebase fails to create aqbasketgroups and aqcontract
Summary: updatedatebase fails to create aqbasketgroups and aqcontract
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) blocker (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-08 15:10 UTC by Colin Campbell
Modified: 2019-06-27 09:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.52 KB, patch)
2010-07-08 15:20 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2010-07-08 15:10:50 UTC
Running a test upgrade from 3.1.61 to current HEAD and errors were returned causing aqbasketgroups and aqcontract not to be created.

This used to work. Not sure if recent patch:

commit 17800939e8a3e6f34549ade0e5e068728e5cb907
Author: Henri-Damien LAURENT <henridamien.laurent@biblibre.com>
Date:   Wed Jul 7 15:58:58 2010 +0200

    Update 3.0 to 3.2 budgets
    
    FOREIGN_KEY_CHECKS had to be set to 0
    in order to make the upgrade of aqbudgets table work.

is related. (it resets FOREIGN_KEY_CHECKS to 1 after running. However applying the same changes to the two affected table creations allows them to run. Not sure if this is the correct way to handle this (and there is some history see bug 1368). Will submit a patch adding the CHECKS off and on. Anyone got a more robust solution?.
Comment 1 Colin Campbell 2010-07-08 15:20:12 UTC
Created attachment 2331 [details] [review]
Proposed Patch
Comment 2 Galen Charlton 2010-10-22 02:26:37 UTC
Pushed patch to HEAD for inclusion in 3.2.  Will include information in release notes about manually checking the acquisitions upgrade.